// ignore_for_file: lines_longer_than_80_chars

import 'package:flutter/material.dart';

class PaymentInstructionCard extends StatelessWidget {
  const PaymentInstructionCard({
    Key? key,
    required this.paymentIntruction,
  }) : super(key: key);

  final List<dynamic> paymentIntruction;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: List.generate(
        paymentIntruction.length,
        (i) => ExpansionTile(
          tilePadding: const EdgeInsets.symmetric(horizontal: 20),
          title: Text(paymentIntruction[i].channel),
          collapsedBackgroundColor: Theme.of(context).colorScheme.surface,
          backgroundColor: Theme.of(context).colorScheme.surface,
          expandedCrossAxisAlignment: CrossAxisAlignment.stretch,
          childrenPadding: const EdgeInsets.symmetric(horizontal: 20),
          children: List.generate(
              paymentIntruction[i].step.length,
              (index) => Padding(
                    padding: const EdgeInsets.only(bottom: 5),
                    child: Text.rich(TextSpan(children: [
                      TextSpan(
                          text: '${index + 1}. ',
                          style: Theme.of(context)
                              .textTheme
                              .bodyText2!
                              .copyWith(fontWeight: FontWeight.bold)),
                      TextSpan(
                          text: '${paymentIntruction[i].step[index]}',
                          style: Theme.of(context).textTheme.bodyText2)
                    ])),
                  )),
        ),
      ),
    );
  }
}
